Package org.apache.tools.ant.taskdefs

# Class GenerateKey.DnameParam

java.lang.Object
org.apache.tools.ant.taskdefs.GenerateKey.DnameParam

Enclosing class:
  GenerateKey

    public static class GenerateKey.DnameParam
    extends java.lang.Object

A DistinguishedName parameter. This is a nested element in a dname nested element.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`DnameParam()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`java.lang.String` | `getName()` | Get the name attribute.
`java.lang.String` | `getValue()` | Get the value attribute.
`boolean` | `isComplete()` |
`void` | `setName​(java.lang.String name)` | Set the name attribute.
`void` | `setValue​(java.lang.String value)` | Set the value attribute.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DnameParam

public DnameParam()

## Method Details

### setName

public void setName​(java.lang.String name)
Set the name attribute.

Parameters:
  `name` - a `String` value

### getName

public java.lang.String getName()
Get the name attribute.

Returns:
  the name.

### setValue

public void setValue​(java.lang.String value)
Set the value attribute.

Parameters:
  `value` - a `String` value

### getValue

public java.lang.String getValue()
Get the value attribute.

Returns:
  the value.

### isComplete

public boolean isComplete()